## kdewebdev 4.14.2

=== debian/changelog ===
kdewebdev (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:48:40 +0200

kdewebdev (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:48:05 -0700

kdewebdev (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:09:53 +0200

kdewebdev (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 14:48:40 +0200

kdewebdev (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:39:50 +0200

kdewebdev (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:10:33 +0200

kdewebdev (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:03:42 +0200

kdewebdev (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Drop nepomuk-core-dev from Build Depends

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:54:58 +0100

kdewebdev (4:4.13.0-0ubuntu2) utopic; urgency=medium

  [ Dimitri John Ledkov ]
  * Build against boost1.55.

  [ Rohan Garg ]
  * Merge with Debian, no remaining changes

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 12 Jun 2014 13:18:37 +0200

=== debian/control ===
Source: kdewebdev
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdepimlibs5-dev (>= 4:4.14.2),
               libboost1.54-dev,
               libtidy-dev,
               libxslt-dev,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://kdewebdev.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdewebdev.git
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdewebdev.git

Package: kdewebdev
Architecture: all
Section: kde
Depends: kfilereplace (>= ${source:Version}),
         kimagemapeditor (>= ${source:Version}),
         klinkstatus (>= ${source:Version}),
         kommander (>= ${source:Version}),
         ${misc:Depends}
Description: web development apps from the official KDE release
 This metapackage includes a collection of web development applications
 provided with the official release of KDE.

Package: kfilereplace
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: batch search-and-replace component
 KFileReplace is an embedded component for KDE that acts as a batch
 search-and-replace tool. It allows you to replace one expression with
 another in many files at once.
 .
 This package is part of KDE web development module.

Package: kimagemapeditor
Architecture: any
Section: editors
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML image map editor
 KImageMapEditor is a tool that allows you to edit image maps in HTML
 files. As well as providing a standalone application, KImageMapEditor
 makes itself available as a KPart for embedding into larger applications.
 .
 This package is part of KDE web development module.

Package: klinkstatus
Architecture: any
Section: web
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter4
Description: web link validity checker
 KLinkStatus is KDE's web link validity checker. It allows you to
 search internal and external links throughout your web site. Simply
 point it to a single page and choose the depth to search.
 .
 You can also check local files, or files over ftp:, fish: or any other
 KIO protocols. For performance, links can be checked simultaneously.
 .
 This package is part of KDE web development module.

Package: kommander
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kommander-dev
Description: visual dialog builder and executor tool
 Kommander is a visual dialog building tool whose primary objective is
 to create as much functionality as possible without using any scripting
 language.
 .
 More specifically, Kommander is a set of tools that allow you to create
 dynamic GUI dialogs that generate, based on their state, a piece of
 text. The piece of text can be a command line to a program, any piece
 of code, business documents that contain a lot of repetitious or
 templated text and so on.
 .
 The resulting generated text can then be executed as a command line
 program (hence the name "Kommander"), written to a file, passed to a
 script for extended processing, and literally anything else you can
 think of. And you aren't required to write a single line of code!
 .
 As well as building dialogs, Kommander may be expanded to create full
 mainwindow applications.
 .
 This package is part of KDE web development module.

Package: kdewebdev-dbg
Section: debug
Architecture: any
Depends: kde-runtime-dbg, ${misc:Depends}
Suggests: kdewebdev (= ${source:Version})
Priority: extra
Description: debugging symbols for the KDE web development module
 This package contains the debugging symbols associated with kdewebdev.
 They will automatically be used by gdb for debugging kdewebdev-related
 issues.

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kdewebdev-([\d\.]*).tar.xz

## kdewebdev 14.12.3

=== debian/changelog ===
kdewebdev (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:00:11 -0700

kdewebdev (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:53:42 -0800

kdewebdev (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.
  * Remove kdepimlibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:21:31 +0100

kdewebdev (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 18:43:11 -0800

kdewebdev (4:14.11.95-0ubuntu1) vivd; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
  * Debian merge, remaining changes:
   - Drop nepomuk-core-dev from Build Depends

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 25 Nov 2014 03:35:16 +0000

kdewebdev (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:48:05 -0700

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,25 @@
 Source: kdewebdev
 Section: web
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
-               kdepimlibs5-dev (>= 4:4.14.2),
-               libboost1.54-dev,
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev,
+               kdepimlibs5-dev,
+               libboost-dev,
                libtidy-dev,
-               libxslt-dev,
+               libxslt-dev,               
                pkg-kde-tools (>= 0.12),
                zlib1g-dev
 Standards-Version: 3.9.5
-Homepage: http://kdewebdev.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdewebdev.git
-X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdewebdev.git
+Homepage: http://www.kde.org/
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdewebdev.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdewebdev.git
 
 Package: kdewebdev
 Architecture: all
@@ -61,7 +59,7 @@
 Architecture: any
 Section: web
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: khelpcenter4
+Suggests: khelpcenter
 Description: web link validity checker
  KLinkStatus is KDE's web link validity checker. It allows you to
  search internal and external links throughout your web site. Simply

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdewebdev-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/kdewebdev-([\d.]+).tar.xz

## kdewebdev 15.08.2

=== debian/changelog ===
kdewebdev (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:23:07 +0100

kdewebdev (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:49:08 +0100

kdewebdev (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:24:06 +0100

kdewebdev (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:48:42 +0100

kdewebdev (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:58:56 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                kdepimlibs5-dev,
                libboost-dev,
                libtidy-dev,
-               libxslt-dev,               
+               libxslt-dev,
                pkg-kde-tools (>= 0.12),
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdewebdev.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdewebdev.git

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdewebdev-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kdewebdev-([\d.]+).tar.xz

## kdewebdev 15.12.3

=== doc/CMakeLists.txt ===
if(BUILD_kfilereplace)
  macro_optional_add_subdirectory(kfilereplace)
endif()
# quanta and kxsldbg have moved to trunk/extragear/sdk
#if(KDevPlatform_FOUND)
#  macro_optional_add_subdirectory(quanta)
#endif(KDevPlatform_FOUND)
#macro_optional_add_subdirectory(kxsldbg)
#macro_optional_add_subdirectory(xsldbg)

if(BUILD_klinkstatus)
  macro_optional_add_subdirectory(klinkstatus)
endif()
#macro_optional_add_subdirectory(kommander)
if(BUILD_kimagemapeditor)
  macro_optional_add_subdirectory(kimagemapeditor)
endif()

=== klinkstatus/data/CMakeLists.txt ===

add_subdirectory( icons )
add_subdirectory( styles )

=== klinkstatus/src/CMakeLists.txt ===
add_subdirectory(plugins)

set(GENERIC_KLINKSTATUS_LIB_VERSION "4.0.0")
set(GENERIC_KLINKSTATUS_LIB_SOVERSION "4")

configure_file(config-tidy.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-tidy.h )


include_directories(
    ${CMAKE_SOURCE_DIR}/klinkstatus/src 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/interfaces
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/interfaces/engine
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/interfaces/ui
    ${CMAKE_BINARY_DIR}/klinkstatus/src
    ${KDEPIMLIBS_INCLUDE_DIR}
    ${KDE4_INCLUDE_DIR}
    ${KDE4_INCLUDE_DIR}/threadweaver
    ${KROSS_INCLUDES}
    ${QT_INCLUDES}
)

if(LIBTIDY_FOUND)
    include_directories(${LIBTIDY_INCLUDE_DIR})
endif(LIBTIDY_FOUND)



########### next target ###############

set(libutils_SRCS 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/utils/utils.cpp     
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/utils/timer.cpp
)

set(libparser_SRCS
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/parser/htmlparser.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/parser/http.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/parser/mstring.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/parser/node.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/parser/url.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/parser/robotsparser.cpp
)

set(libengine_SRCS 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/linkchecker.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/linkfilter.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/linkstatus.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/linkstatushelper.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/searchmanager.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/searchmanageragent.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/automationengine.cpp 
)

set(libinterfaces_SRC
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/interfaces/engine/isearchmanager.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/interfaces/ui/iview.cpp
)

set(libui_SRCS 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/view.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/documentrootdialog.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/klshistorycombo.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/resultssearchbar.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/resultview.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/sessionwidget.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/tabwidgetsession.cpp  
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/treeview.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/sessionstackedwidget.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/unreferreddocumentswidget.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/httppostdialog.cpp
)

set(libuisettings_SRCS 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/settings/configidentificationdialog.cpp     
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/settings/configresultsdialogimpl.cpp
)

set(libpim_SRCS 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/pim/pimconfigdialog.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/pim/pimagent.cpp
)

set (klinkstatuscommon_LIB_SRCS
    ${libutils_SRCS}
    ${libparser_SRCS}
    ${libengine_SRCS}
    ${libui_SRCS}
    ${libuisettings_SRCS}
    ${libinterfaces_SRC}
    ${libpim_SRCS}
    klsfactory.cpp
    actionmanager.cpp
    global.cpp
    klinkstatusbasepart.cpp
)

kde4_add_ui_files(klinkstatuscommon_LIB_SRCS
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/sessionwidgetbase.ui
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/unreferreddocumentswidget.ui
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/httppostwidgetui.ui
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/settings/configsearchdialog.ui
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/settings/configresultsdialog.ui
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/settings/configidentificationdialogui.ui   
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/pim/identitywidgetui.ui
)

kde4_add_kcfg_files(klinkstatuscommon_LIB_SRCS ${CMAKE_SOURCE_DIR}/klinkstatus/src/cfg/klsconfig.kcfgc)
kde4_add_kcfg_files(klinkstatuscommon_LIB_SRCS ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/automationconfig.kcfgc)

if(LIBTIDY_FOUND)
    set(libtidy_SRCS ${CMAKE_SOURCE_DIR}/klinkstatus/src/tidy/markupvalidator.cpp)
    set(klinkstatuscommon_LIB_SRCS ${klinkstatuscommon_LIB_SRCS} ${libtidy_SRCS})
endif(LIBTIDY_FOUND)


# D-Bus
qt4_add_dbus_adaptor(klinkstatuscommon_LIB_SRCS interfaces/engine/org.kde.kdewebdev.klinkstatus.SearchManager.xml isearchmanager.h ISearchManager isearchmanageradaptor ISearchManagerAdaptor)

qt4_add_dbus_adaptor(klinkstatuscommon_LIB_SRCS interfaces/ui/org.kde.kdewebdev.klinkstatus.View.xml iview.h IView iviewadaptor IViewAdaptor)


kde4_add_library(klinkstatuscommon SHARED ${klinkstatuscommon_LIB_SRCS})

target_link_libraries(klinkstatuscommon
    ${KDE4_KDECORE_LIBS} 
    ${KDE4_KPARTS_LIBS} 
    ${KDE4_KIO_LIBS}
    ${KDE4_KHTML_LIBS}
    ${KDE4_THREADWEAVER_LIBRARY}
    ${KDE4_KROSSUI_LIBS}
    ${KDE4_KNEWSTUFF2_LIBS}
    ${KDE4_KUTILS_LIBS}
    ${KDEPIMLIBS_MAILTRANSPORT_LIBS}
    ${KDEPIMLIBS_KPIMIDENTITIES_LIBS}
    ${KDEPIMLIBS_KMIME_LIBS}
)

if(LIBTIDY_FOUND)
    target_link_libraries(klinkstatuscommon ${LIBTIDY_LIBRARIES})
endif(LIBTIDY_FOUND)

set_target_properties(klinkstatuscommon 
    PROPERTIES VERSION ${GENERIC_KLINKSTATUS_LIB_VERSION} 
    SOVERSION ${GENERIC_KLINKSTATUS_LIB_SOVERSION} )

install(TARGETS klinkstatuscommon ${INSTALL_TARGETS_DEFAULT_ARGS})



########### next target ###############

set(klinkstatuspart_PART_SRCS
    klinkstatus_part.cpp
)

kde4_add_kcfg_files(klinkstatuspart_PART_SRCS ${CMAKE_SOURCE_DIR}/klinkstatus/src/cfg/klsconfig.kcfgc)

kde4_add_plugin(klinkstatuspart ${klinkstatuspart_PART_SRCS})

target_link_libraries(klinkstatuspart klinkstatuscommon ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS})

install(TARGETS klinkstatuspart DESTINATION ${PLUGIN_INSTALL_DIR})



########### next target ###############

set(klinkstatus_SRCS
    klinkstatus.cpp main.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/trayicon.cpp)


kde4_add_executable(klinkstatus ${klinkstatus_SRCS})

target_link_libraries(klinkstatus ${KDE4_KPARTS_LIBS})

install(TARGETS klinkstatus ${INSTALL_TARGETS_DEFAULT_ARGS})



########### next target ###############

# set(klinkstatus_SRCS
#     mainCli.cpp
# )
# 
# 
# kde4_add_executable(klinkstatuscli ${klinkstatus_SRCS})
# 
# target_link_libraries(klinkstatuscli klinkstatuscommon)
# 
# install(TARGETS klinkstatuscli ${INSTALL_TARGETS_DEFAULT_ARGS})



########### install files ###############

install(FILES  klinkstatus.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES  klinkstatus_part.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES  klinkstatus_part.rc  DESTINATION ${DATA_INSTALL_DIR}/klinkstatuspart)
install(FILES  klinkstatus_shell.rc  DESTINATION ${DATA_INSTALL_DIR}/klinkstatus)
install(FILES  klinkstatus.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR})

install(FILES interfaces/engine/org.kde.kdewebdev.klinkstatus.SearchManager.xml 
    DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

=== klinkstatus/data/icons/CMakeLists.txt ===

add_subdirectory( 32x32 )
add_subdirectory( 22x22 )
add_subdirectory( 16x16 )


kde4_install_icons( ${ICON_INSTALL_DIR}   )

=== debian/changelog ===
kdewebdev (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:18:55 -0700

kdewebdev (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge: No remaining changes.
  * New upstream release. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:41:38 +0100

kdewebdev (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:02 +0100

kdewebdev (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.2).
  * New upstream release (15.08.0).
  * Bump Standards-Version to 3.9.6.
  * Add libsoprano-dev build dep.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:11:07 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
-               kdepimlibs5-dev,
+               kdepimlibs5-dev (>= 4:4.11),
+               libsoprano-dev,
                libboost-dev,
                libtidy-dev,
                libxslt-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kdewebdev-dbg

## kdewebdev 16.04.3

=== CMakeLists.txt ===
project(kdewebdev)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

add_definitions( ${QT_QTDBUS_DEFINITIONS} ${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

if(WIN32)
  include_directories( ${KDEWIN32_INCLUDES} )
endif(WIN32)

macro_optional_add_subdirectory(klinkstatus)
macro_optional_add_subdirectory(kfilereplace)
macro_optional_add_subdirectory(kimagemapeditor)
macro_optional_add_subdirectory(kommander)
macro_optional_add_subdirectory(doc)

macro_display_feature_log()

=== debian/changelog ===
kdewebdev (4:16.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove extra libsoprano-dev build dependency, which was added as workaround
    for a bug in kdelibs5-dev.
  * Remove extra nepomuk-core-dev build dependency.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Aug 2016 07:15:23 +0200

kdewebdev (4:15.08.3-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Migrate dbg package to automatic dbgsym

  [ Maximiliano Curia ]
  * Update the metadata to point to the svn

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 18:01:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kdewebdev
 Section: web
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Eshat Cakar <info@eshat.de>,
@@ -11,16 +11,15 @@
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
                kdepimlibs5-dev (>= 4:4.11),
-               libsoprano-dev,
                libboost-dev,
                libtidy-dev,
                libxslt-dev,
                pkg-kde-tools (>= 0.12),
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdewebdev.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdewebdev.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdewebdev.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdewebdev.git
 
 Package: kdewebdev
 Architecture: all
@@ -60,7 +59,7 @@
 Architecture: any
 Section: web
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: khelpcenter
+Suggests: khelpcenter4
 Description: web link validity checker
  KLinkStatus is KDE's web link validity checker. It allows you to
  search internal and external links throughout your web site. Simply
@@ -96,14 +95,3 @@
  mainwindow applications.
  .
  This package is part of KDE web development module.
-
-Package: kdewebdev-dbg
-Section: debug
-Architecture: any
-Depends: kde-runtime-dbg, ${misc:Depends}
-Suggests: kdewebdev (= ${source:Version})
-Priority: extra
-Description: debugging symbols for the KDE web development module
- This package contains the debugging symbols associated with kdewebdev.
- They will automatically be used by gdb for debugging kdewebdev-related
- issues.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdewebdev-dbg (<= 4:15.08.3-1~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdewebdev-([\d.]+).tar.xz
